/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 ~ This program is copyright, (c)2002.
 ~
 ~ You are granted a license to use this program under the terms of the GNU
 ~ Public License. You may view the license at the following URL:
 ~      http://www.gnu.org/copyleft/gpl.html
 ~ Note that without accepting this license, you have no right to use this
 ~ code.
 ~
 ~*/
#ifndef _DHDECOMP_H_
#define _DHDECOMP_H_
#define DH_NUM_DICTS 32

typedef struct _dh_params {
	octet * cache;
	octet * base; 
	int	code_length;
	octet * dicts[DH_NUM_DICTS];
	int	dictsize[DH_NUM_DICTS];
} dh_params;

extern dh_params dh_param;

#define MAX(a,b) (((a)>(b))?(a):(b))
#define MIN(a,b) (((a)<(b))?(a):(b))

int dh_decompress( octet * src, int octets, octet * dst, int avail);

#endif 
