/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 ~ 
 ~ TOTAL FUCKIN' LOSERS 
 ~
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 ~
 ~ Geekishly Present...
 ~ 
 ~		 	PDBSHRED  
 ~
 ~ 
 ~ PDBSHRED is a true loser's tool.  It splits apart the contents of a 
 ~ few weakly protected Palm Database e-book formats into their unencrypted
 ~ component parts. This allows literature to be read on your spacious 14" 
 ~ monitor rather than the cramped LCD of the Palm series. 
 ~
 ~ Please don't use this program for pirating eBooks.  
 ~
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 ~ This program is copyright, (c)2002. 
 ~
 ~ You are granted a license to use this program under the terms of the GNU
 ~ Public License. You may view the license at the following URL:
 ~      http://www.gnu.org/copyleft/gpl.html
 ~ Note that without accepting this license, you have no right to use this
 ~ code.
 ~
 ~
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  
 ~
 ~ BUILD INSTRUCTIONS:
 ~
 ~ You will need:
 ~     zlib 1.1.4 from www.gzip.org/zlib
 ~	   build the library, you need zlib.lib, zlib.h and zconf.h 
 ~     libsha-0.8.2b from www.mirrors.wiretapped.net
 ~         path: /security/cryptogragphy/libraries/libeay
 ~         Copy files: sha1dgst.c sha.h sha_locl.h
 ~     des-oute from www.mirrors.wiredtapped.net 
 ~         path: /security/info/books/applied-crypto 
 ~ Finally:
 ~     cl pdbshred.c d3des.c sha1dgst.c zlib.lib
 ~
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/

/*-------------------------------------------------------------------------
 | 
 | Status for version 1.02 (21 Apr 2002):  
 |
 | * Supports Mobipocket Secure Format 
 | * Barely tested support for Secure Mobipocket Format for Version 4.4
 | * Limitted support for PeanutPress Format  
 |   - *Support for PPress version 13 (PalmReader 1.1.14)
 |   - Most of the headers still aren't known
 |   - Might not work with some unencrypted titles
 |   - Definitely won't work with all versions of PDB 
 | 
 | Todo List:
 | * Current formats: Isilo, better PeanutPress support
 |   - Comprehension of headers, other block types (with -a)
 | * Obsolete formats: EzReader (VOLc CTx1) 
 |
 | Needs lot more work: 
 | * Fixing up the Mobipocket output
 |   For example, mobipocket uses IMG SRC="BMP" recindex="00001" tags, which
 |   requires BMP->PNG conversion and search/replacing
 | * .pml->.html is possible, but improbable.  
 |
 |
 | If you'd like to work on this, go ahead.  Just post your source code 
 | somewhere, and maybe I'll see it.  
 |
 */ 

/* This lets me input check for PPress files, but its really needed.. */
#define USE_SHA 1
 
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <sys/stat.h>
#include "d3des.h"
#include "zlib.h"

#include "pdbshred.h"
#include "dhdecomp.h"


#ifdef USE_SHA
#include "sha.h"
#endif 

/* Linux users should have to use a modern Operating System, but this caters
 * to them... */
#ifndef O_BINARY
#define O_BINARY 0
#endif

#ifdef S_IREAD
#define CREAT_PERMS S_IREAD|S_IWRITE
#endif
#ifdef _S_IREAD
#define CREAT_PERMS _S_IREAD|_S_IWRITE
#endif

typedef int (*decrypt_fn)(octet *, int, octet *);
typedef int (*decompress_fn)(octet *, int, octet *, int); 

typedef struct _PC1KEY
{
        octet keybytes[16];
        unsigned int a;
        unsigned int b;
} PC1KEY;

/* PDB Header Constants */
#define PDB_HDR_CREATOR 64
#define PDB_HDR_TYPE    60
#define PDB_HDR_NUMRECORDS 76

#define PDB_SIZEOF_HDR    78
#define PDB_SIZEOF_REC  8
#define PDB_REC(i) (PDB_SIZEOF_HDR+((i)*PDB_SIZEOF_REC))

#define XDOC_HDR_COMPRESS   0
/* +2 is Reserved */
#define XDOC_HDR_ORIGSIZE   4
#define XDOC_HDR_BLOCKS     8
#define XDOC_HDR_BLOCKSIZE 10
#define XDOC_HDR_ENCRYPTED 12
#define XDOC_HDR_BOOKKEY   14
#define XDOC_HDR_ID        (14+17)
#define XDOC_HDR_IDSIZE    34
#define XDOC_SIZEOF_HDR    14

#define MOBI2_HDR_BOOKKEY  144
#define MOBI2_HDR_HUFF_REC 112
#define MOBI2_HDR_CDIC_CNT 116


#define PP1_HDR_VERSION      0
#define PP1_HDR_BLOCKS       8
#define PP1_HDR_SIZE       105+2+7+2
#define PP1_VERSION_COMPRESSED 2

#define PP2_HDR_VERSION	     0
#define PP2_HDR_BLOCKS 	     2
#define PP2_HDR_FLAGS 	     4
#define PP2_HDR_DIGEST	    44
#define PP2_HDR_KEY	    64

/* We have low confidence in these values... */
#define PP2_FLAG_ZLIB	   0x2000
#define PP2_FLAG_ENCRYPTED 0x4000

char mobi_type[4] = {'T','E','X','t'};
char mobi_creat[4] = {'R','E','A','d'};
char pp_type[4] = {'P','N','R','d'}; 
char pp_creat[4] = {'P','P','r','s'};

char mobi2_creat[4] = {'M','O','B','I'};
char mobi2_type[4] = {'B','O','O','K'};

char * param_s1 = NULL;
char * param_s2 = NULL;
char * param_fname = NULL;
char * param_base = NULL;
int  param_all = 0;

octet * bigbuf = NULL;
int bigsize = 64*1024; 

const char strUsage[] = \
"Welcome to PDB Shredder, Vers 1.02 (c)2002 by Total Fuckin\' Losers\n"\
"	Written by Algernon E Mouse. \n\n"\
"       Version date: 21 Apr 2002.\n"\
"	Supports: \n"\
"		Secure MobiPocket Format (4.3) Completely. \n"\
"		MobiPocket (4.4) DH Compression -- Partially.\n"\
"		PeanutPress (1.1.14) - Quite well. \n"\
"Usage: pdbshred [-s secretname secretcard  -a ] filename [basename]\n"\
"  filename might be bookname.pdb or bookname.prc \n"\
"  basename what you want things to begin with... default is \"ebook\" \n\n"\
"  -a option creates additional files that the program can't identify.\n"
"	Main formats identified: .HTML,.TXT,.PML \n"\
"	Image Formats identified: .GIF,.PNG,.BMP \n\n"\
"  PeanutPress files require some \"secret\" stuff to decrypt. \n"\
"    Example: pdbshred -s \"Algernon E Mouse\" 12345678 ebook.pdb ebook\n"\
"\n";

octet * read_whole_file( octet * fname )
{
        off_t   filesize;
        octet * fileptr;
        int     fd;
        int     nbytes;

        fd = open(fname, O_RDONLY|O_BINARY);
        if (fd < 0) {
                fprintf(stderr,"Unable to open \"%s\" for reading.\n",
                        fname);
                perror("Open");
                return NULL;
        }
        filesize = lseek(fd, 0, SEEK_END);
        (void)lseek(fd, 0, SEEK_SET);
        fileptr = malloc(filesize+4);
        if (!fileptr ) {
                fprintf(stderr,"Unable to allocate %d bytes for \"%s.\"\n",
                        filesize+4, fname);
                close(fd);
                return NULL;
        }
        *((quartet *)(fileptr)) = filesize;
        nbytes = read(fd, (fileptr)+4, filesize);
        if (nbytes != filesize) {
                fprintf(stderr,"Failed reading \"%s\" - Only got %d bytes "
                        "out of %d.\n", fname, nbytes, filesize);
                perror("Reading");
                free(fileptr);
                close(fd);
                return NULL;
        }
        close(fd);
        return fileptr;
}

int write_whole_file( octet * fname, octet * fileptr, int filesize)
{
        int     fd;
        int     nbytes;

        fd = open(fname, O_WRONLY|O_BINARY|O_EXCL|O_CREAT, CREAT_PERMS);
        if (fd < 0) {
                fprintf(stderr,"Unable to open \"%s\" for writing -- "
			"Maybe it already exists?\n", fname);
                perror("Open (writing)");
                return -1;
        }
        nbytes = write(fd, fileptr, filesize);
        if (nbytes != filesize) {
                fprintf(stderr,"Failed writing \"%s\" - Only wrote %d bytes "
                        "out of %d.\n", fname, nbytes, filesize);
                perror("Write");
                close(fd);
                return -1;
        }
        close(fd);
        return 0;
}


int identify_book_ext(octet * p, int size, char * extension)
{
	if (strstr(p, "<HEAD>") || strstr(p,"<head>") ||
	    strstr(p, "<BODY>") || strstr(p,"<body>")) { 
		strcpy(extension, "htm"); return 1;		
	} 
	return 0;	
}

char BM_ID[2] = {'B','M'};
char PNG_ID[4] = {0x89,'P','N','G'};
char GIF_ID[3] = {'G','I','F'};
char JPEG_ID[4] = {0xFF,0xD8,0xFF,0xE0};

int identify_extra_ext(octet * p, int size, char * extension)
{
	strcpy(extension, "out");
	if ((size > 12) && 
	    (!memcmp(p,BM_ID,sizeof(BM_ID))) &&
	    (*(quartet *)(p+6) == 0) ) {
		strcpy(extension,"bmp"); return 1;
	} 
	if ((size > sizeof(PNG_ID)) && 
	    (!memcmp(p,PNG_ID,sizeof(PNG_ID)))) { 
		strcpy(extension,"png"); return 1;
	}
	if ((size > sizeof(GIF_ID)) && 
	    (!memcmp(p,GIF_ID,sizeof(GIF_ID)))) { 
		strcpy(extension,"gif"); return 1;
	}
	if ((size > sizeof(JPEG_ID)) && 
	    (!memcmp(p,JPEG_ID,sizeof(JPEG_ID)))) { 
		strcpy(extension,"jpg"); return 1;
	}
	return 0;
}

octet * get_record(octet * fileptr, int r, int * pSize)
{
        int     nRecords;
        quartet base, next;

        if (!fileptr) return NULL;
        nRecords = WORD(fileptr + 4 + PDB_HDR_NUMRECORDS);
        if (r >= nRecords) return NULL;

        if (r == (nRecords - 1)) {
                next = *(quartet *)fileptr;
        }
        else {
                next = DWORD(fileptr + 4 + PDB_REC(r+1));
        }
        base = DWORD(fileptr + 4 + PDB_REC(r));
        if ((base >= next) || (next > (*(quartet *)fileptr))) {
                fprintf(stderr,
"BOGUS PDB File: #%d with base: %d, next: %d, filesize: %d.\n",
                r, base, next, *(quartet *)fileptr);
                return NULL;
        }
        if (pSize) *pSize = (next-base);
        return fileptr + 4 + base;
}


int inflate_decompress(octet * data, int len, octet * buf, int out)
{
	z_stream zs;
	int err;

	zs.zalloc = (alloc_func)0;
        zs.zfree = (free_func)0;
        zs.opaque = (voidpf)0;
        err = inflateInit(&zs);
	if (err) {
		fprintf(stderr,"inflateInit failed: %d \n");
		if (zs.msg) fprintf(stderr,"Zlib reports: %s\n", zs.msg);
		return -1;
	}
        zs.avail_in = len;
        zs.next_in = data;
        zs.next_out = buf;
        zs.avail_out = out;
        zs.total_out = 0;
        err = inflate(&zs, Z_FINISH);
        if ((err != Z_OK) && (err != Z_STREAM_END)) {
		fprintf(stderr,"inflate failed: %d \n");
		if (zs.msg) fprintf(stderr,"Zlib reports: %s\n", zs.msg);
		return -1;
	}
        err = inflateEnd(&zs);
	if (err) {
		fprintf(stderr,"inflateEnd failed: %d \n");
		if (zs.msg) fprintf(stderr,"Zlib reports: %s\n", zs.msg);
		return -1;
	}
	return zs.total_out;
}

int palmdoc_decompress(octet * in, int len, octet * out, int out_len)
{
	int octets;
        octet c;
        int     offset, count;
        octet * base = out;

        octets = 0;
        while (len--) {
                c = *(in++);
                octets++;
                /* 1..8  - Copy 'c' octets */
                if ( c >= 1 && c <= 8 ) {
                        octets += (c-1);
                        len -= c;
                        while ( c-- ) *(out++) = *(in++);
                }
                /* 0,09-7F = self */
                else if ( c <= 0x7F ) *(out++) = c;
                /* space + ASCII char */
                else if ( c >= 0xC0 ) {
                        octets++;
                        *(out++) = ' ';
                        *(out++) = c & 0x7F;
                }
                /* 0x80 .. 0xBF -- Previous octets */
                else {
                        offset = (c << 8) + *(in++);
                        count = (offset & 0x7) + 3;
                        offset = (offset & 0x3FFF) >> 3;
                        if (offset > octets) {
                                fprintf(stderr,
                                    "Invalid offset %d (%x) > octets %d\n",
                                    offset,offset,octets);
                                return -1;
                        }
                        len--;
                        octets += (count - 1);
                        while (count--)  {
                                *(out++) = *(out - offset);
                        }
                }
                if (octets > out_len) {
                        fprintf(stderr,"DECOMPRESS overrun: %d > %d\n",
                            octets, out_len);
                        return -1;
                }
        }
        return octets;
}

void pc1_setkey(PC1KEY * key, octet * data)
{
        key->a = 0;
        key->b = 0;
        memcpy(key->keybytes, data, sizeof(key->keybytes));
}

void pc1_decrypt(PC1KEY * key,octet * in,octet * out,int len)
{
        int i;
        octet c;
        unsigned int sbox[8];
        unsigned int xorvalue;
        unsigned int prev;

        while (len--) {
                c = *(in++);
                xorvalue = 0;
                prev = 0;
                for (i = 0; i < 8; i++) {
                        sbox[i] = prev ^ ( key->keybytes[(i*2)]*256 +
                                key->keybytes[(i*2)+1]);
                        key->a = (sbox[i] * 0x15a) + ((key->a + i)* 0x4e35) +
                             (key->b);
                        key->b = (sbox[i] * 0x15a);
                        sbox[i] = (sbox[i] * 0x4e35) + 1;
                        xorvalue ^= (sbox[i] ^ key->a);
                        prev = sbox[i];
                }
                c ^= (xorvalue & 0xFF); c ^= ((xorvalue >> 8) & 0xFF);
                for (i = 0; i < 16; i++) { key->keybytes[i] ^= c; }
                *(out++) = c;
        }
}

int pukall_decrypt( octet * data, int len, octet * key)
{
	PC1KEY pc1key;

	pc1_setkey(&pc1key, key);
	pc1_decrypt(&pc1key, data, data, len);
	return 0;
}

/* for unencrypted PDB files */
int a5_decrypt( octet * data, int len, octet * key )
{
	while (len--)
		*(data++) ^= 0xa5;
}


/* Force Odd parity for a DES key */
void odd_parity(octet * data, int len)
{
        octet b;
        while (len--) { 
		b = *data; 
		b ^= (b << 4); b ^= (b << 2); b ^= (b << 1);
                b ^= 0x80; b &= 0x80;
                *(data++) ^= b;
        }
}

int des_decrypt(octet * data, int len, octet * key)
{
	deskey(key, DE1);
	while (len >= 8)
	{
		des(data, data);
		data += 8;
		len -= 8;
	}
	return 0;
}


/*
 * This attempts to get at the HUFF and CDIC structures from a MobiPocket
 * "MOBI/BOOK" file, using the file header. 
 * If this fails
 */ 
int parse_dhdecomp(octet * pFile) 
{
	int ndicts, huff_rec;
	int size, base;
	int i;
	octet * pRecord;


	pRecord = get_record(pFile, 0, &size);
  	if (!pRecord) return -1; 	

	if (size < (MOBI2_HDR_CDIC_CNT + 4)) {
		fprintf(stderr,"Mobibook2 header too small. \n"); 
		return -1;
	}
	huff_rec = DWORD(pRecord + MOBI2_HDR_HUFF_REC);	
	ndicts = DWORD(pRecord + MOBI2_HDR_CDIC_CNT) - 1;
	
	pRecord = get_record(pFile, huff_rec, &size);
	if (!pRecord) { 
		fprintf(stderr,"Unable to read HUFF record #%d \n", huff_rec);
		return -1;
	}
	if (memcmp(pRecord,"HUFF", 4) != 0) { 
		fprintf(stderr,"Record #%d isn't type HUFF\n", huff_rec);
		return -1;
	}
	/* See dhdecomp.c for these definitions */
	dh_param.cache = pRecord + DWORD(pRecord + 8);
	dh_param.base = pRecord + DWORD(pRecord + 12); 
	if ((DWORD(pRecord+8) > size) || (DWORD(pRecord+12)> size)) {
		fprintf(stderr,"Bad HUFF type, cache %d, base %d > size %d\n",
			DWORD(pRecord+8), DWORD(pRecord+12), size);
		return -1;
	}	
	if (ndicts > DH_NUM_DICTS) { 
		fprintf(stderr,"This code can't handle %d dictionaries!\n",
			ndicts);
		return -1;
	}	
	for (i = 0; i < ndicts; i++) {
		pRecord = get_record(pFile, huff_rec+i+1, &size);
		if (!pRecord) {
			fprintf(stderr, "Can't read CDIC %d (Record #%d)\n",
				i, huff_rec+i+1); 
			return -1;
		}
		if (memcmp(pRecord,"CDIC",4) != 0) { 
			fprintf(stderr, "Dictionary %d (Record #%d) "
			   " isn't a CDIC type\n", i, huff_rec+i+1); 
			return -1;
		}
		base = DWORD(pRecord + 4); 
		dh_param.code_length = DWORD(pRecord + 12);
		if ((base+(1 << dh_param.code_length)) >= size) { 
			fprintf(stderr,"Bad CDIC %d -- Size is too small!\n", 
				i);
			return -1;
		}
		dh_param.dicts[i] = pRecord + base;
		dh_param.dictsize[i] = size - base;
	}
	for (i = ndicts; i < DH_NUM_DICTS; i++) {
		dh_param.dicts[i] = 0;
		dh_param.dictsize[i] = 0;
	}
	return 0;		
}



/* 
  PeanutPress 2 uses the last portion of Record 1 to store useful stuff
  and more besides.. 
  
  To find this header, you use the 1st 8 octets as a DES key to 
  decrypt the LAST 8 octets.  This 8 octets is split into a shuffle value 
  and a size. 
  
  The size is the number of octets from the end that this header starts. 
  The shuffle parameter is used to re-arrange the octets (tricky, tricky)
  	Each byte goes to:  output[ (shuffle*n)%(size-8) ] 

*/
static char	name[257];  /* Hope this isn't too long */
static char 	ccnum[9];  
int pp2_hdr(octet * pFile, int * pBlocks, quartet * pFlags, octet * key)
{
	octet * pRecord;
	octet * p;
	char  * s;
	quartet	size;
	int	rec_size;
	int	i, offset;
	int	shuffle;
	octet	hdrkey[8], userkey[8];
	octet	trailer[8];
	quartet q;
        int     key_offset, digest_offset, version;
#ifdef USE_SHA
	SHA_CTX	ctx;
	octet	digest[20];
#endif
        q = crc32(0, "TEST", 4);
        if (q == 0xFFFFFFFE) {
                fprintf(stderr,"ZLIB.DLL isn't in the path!\n");
                exit(-1);
        }

	if ((!pBlocks)||(!pFlags)||(!key)) return -1;
	pRecord = get_record(pFile, 1, &rec_size);
	if ((!pRecord) || (rec_size < 16)) {
		fprintf(stderr,"Record 1 isn't a PeanutPress header!\n");
		return -1;
	}
	if (rec_size > bigsize) {
		fprintf(stderr,"OOPS, my bigsize isn't big enuf!\n");
		return -1;
	}

	memcpy(hdrkey, pRecord, 8);
	odd_parity(hdrkey, 8);		
	deskey(hdrkey, DE1);
	memcpy(trailer, pRecord + rec_size - 8, 8);
	des(trailer, trailer);
	shuffle = DWORD(trailer);
	size = DWORD(trailer+4);
	if (size > rec_size) { 
		fprintf(stderr,"Trailer is BOGUS, dude:  %08lx:%08lx\n",
			shuffle, size);
		return -1;
	}
	for (i = (rec_size - size); i < rec_size; i+= 8) {
		des(pRecord+i, pRecord+i);
	}
	offset = shuffle;
        for (i = (rec_size - size); i < (rec_size-8); i++) {
                bigbuf[offset] = pRecord[i];
                offset = (offset + shuffle) % (size-8);
        }
 
	version = WORD(bigbuf); 
	if (version < 13) { 
		key_offset = PP2_HDR_KEY;		
		digest_offset = PP2_HDR_DIGEST;
	} 
	else if (version == 13) {
		key_offset = PP2_HDR_DIGEST;		
		digest_offset = PP2_HDR_DIGEST+8;
	} else {
		fprintf(stderr,
"WARNING - Version %d hasn't been tested!  This probably won't work...\n",
			version);		
	}
	*pBlocks = WORD(bigbuf + PP2_HDR_BLOCKS);
	*pFlags = DWORD(bigbuf + PP2_HDR_FLAGS); 
	if ( !*pFlags & PP2_FLAG_ENCRYPTED) 
		return 0;
	if ((!param_s1) || (!param_s2)) {
		fprintf(stderr, 
"Drats - Encrypted and you didn't enter the secret stuff. \n");
		return -1;
	}
	s = param_s1;
	i = 0;
	while (*s) {
		if (i == sizeof(name)-1) { name[i] = '\0'; break; }
		if (isdigit(*s)) name[i++] = *s;
		else if (isalpha(*s)) name[i++] = tolower(*s);
		s++;	
	}
	name[i] = '\0';

	if (strlen(param_s2) < 8) {
		fprintf(stderr,
"Hey! Secret #2 (Credit Card #) must be >8 numbers.\n");
		return -1;
	}
	s = param_s2 + strlen(param_s2) - 8;
	q = crc32(0, name, strlen(name));
	for (i = 3; i >= 0; i--) 
	{
		userkey[i] = q & 0xFF;
		q >>= 8;
	}
	q = crc32(0, s, strlen(s));
	for (i = 7; i >= 4; i--) 
	{
		userkey[i] = q & 0xFF;
		q >>= 8;
	}

	odd_parity(userkey, 8);
	deskey(userkey, DE1);
	
	/* The userkey is used to decrypt the book key */
	memcpy(key, bigbuf + key_offset, 8);
	des(key, key);

#ifdef USE_SHA	
	SHA1_Init(&ctx);
        SHA1_Update(&ctx, key, 8);
        SHA1_Final(digest, &ctx);
	if (memcmp(digest, bigbuf+digest_offset, 20)) {
		fprintf(stderr,
"Your secrets just aren't good enough!  The digest doesn't match!!\n");
		return -1;
	}
#endif
	odd_parity(key, 8); 
	return 0;
}

/* This string is likely copyrighted by Mobipocket.
 * It is included here under terms of Fair Use, for the purposes of inter-
 * operability with the Secured MobiPocket Format */
char * mobipocket_topsecret_key = "QDCVEPMU675RUBSZ";


char filename[120];
char extension[6];
int shred(octet * pFile)
{
	octet * pRecord;
	int  nRecords;
 	int  size, r, err;
	int  version;
	int  blocks;
	octet key[32];
	decrypt_fn decrypt = NULL;
	decompress_fn decompress = NULL;
	int  fd;
	int  nBytes;
	int  filenum = 0;
	PC1KEY pc1key;

	pRecord = get_record(pFile, 0, &size);
	if ((!pRecord) || (size < 2)) {
		fprintf(stderr, "That PDB file didn't have a Record 0! \n");
		return -1;
	}
	nRecords = WORD(pFile+4+PDB_HDR_NUMRECORDS);
	
	if ( (!memcmp(pFile+4+PDB_HDR_TYPE,mobi_type,4)) &&
	     (!memcmp(pFile+4+PDB_HDR_CREATOR,mobi_creat,4)) ) {
		strcpy(extension,"txt");
		if (size < XDOC_SIZEOF_HDR) {
			fprintf(stderr,
"Invalid Record 0 for Palm DOC/MobiPocket Format \n"); 
			return -1;
		}
		blocks = WORD(pRecord+XDOC_HDR_BLOCKS) + 1;
		if (blocks > nRecords) {
			fprintf(stderr,"Too many blocks (%d > %d)\n", 
				blocks, nRecords);
			return -1;
		} 
		if (WORD(pRecord+XDOC_HDR_ENCRYPTED) == 1) {
			decrypt = pukall_decrypt;
                	pc1_setkey(&pc1key, mobipocket_topsecret_key);
                	pc1_decrypt(&pc1key, pRecord+XDOC_HDR_BOOKKEY,key, 16);
			/* Could decompress ID here, but why bother */
		}
		else if (WORD(pRecord+XDOC_HDR_ENCRYPTED) != 0) {
			fprintf(stderr,
"Those boys at Mobipocket have a new encryption scam: %d\n", 
			    WORD(pRecord+XDOC_HDR_ENCRYPTED));
			return -1;
		}
		if (WORD(pRecord+XDOC_HDR_COMPRESS) > 0) {
			decompress = palmdoc_decompress;
		}
	} 
	else if ( (!memcmp(pFile+4+PDB_HDR_TYPE,pp_type,4)) &&
	     (!memcmp(pFile+4+PDB_HDR_CREATOR,pp_creat,4)) ) {
		strcpy(extension,"pml");
		version = WORD(pRecord);
		if (version > 0xFF) {
			quartet flags;
			/* Shiney New format -- uses Block 1  */
			err = pp2_hdr(pFile, &blocks, &flags, key);
			if (err) { 
				return -1;
			}
			if (flags & PP2_FLAG_ENCRYPTED) {
				decrypt = des_decrypt;
			}
			if (flags & PP2_FLAG_ZLIB)	
				decompress = inflate_decompress;
		} else {
			/* Unencrypted, Uses old compression algorithm? */
			fprintf(stderr, 
"WARNING: This version of PeanutPress files isn't handled yet! \n");
			/* Need to handle version 2 and version A seperately */	
			switch (version)
			{
			case 2:
				blocks = WORD(pRecord+PP1_HDR_BLOCKS);
				decrypt = a5_decrypt;
				if (WORD(pRecord+PP1_HDR_VERSION) & 2) {
					decompress = palmdoc_decompress;
				}
				break;
			case 0xA:
				/* This header needs more work! */
				blocks = WORD(pRecord+12);
				/* ZLIB compression */
				if (version & 0x8) 
					decompress = inflate_decompress;
				break;
			}
		}				
	} 
	else if ( (!memcmp(pFile+4+PDB_HDR_TYPE,mobi2_type,4)) &&
	     (!memcmp(pFile+4+PDB_HDR_CREATOR,mobi2_creat,4)) ) {
		strcpy(extension,"txt");
		if (size < XDOC_SIZEOF_HDR) {
			fprintf(stderr,
"Invalid Record 0 for Palm DOC/MobiPocket Format \n"); 
			return -1;
		}
		blocks = WORD(pRecord+XDOC_HDR_BLOCKS) + 1;
		if (blocks > nRecords) {
			fprintf(stderr,"Too many blocks (%d > %d)\n", 
				blocks, nRecords);
			return -1;
		} 
		if (WORD(pRecord+XDOC_HDR_ENCRYPTED) == 1) {
			decrypt = pukall_decrypt;
                	pc1_setkey(&pc1key, mobipocket_topsecret_key);
                	pc1_decrypt(&pc1key, pRecord+MOBI2_HDR_BOOKKEY,key, 16);
			/* Could decompress ID here, but why bother */
		}
		else if (WORD(pRecord+XDOC_HDR_ENCRYPTED) != 0) {
			fprintf(stderr,
"Those boys at Mobipocket have a new encryption scam: %d\n", 
			    WORD(pRecord+XDOC_HDR_ENCRYPTED));
			return -1;
		}
		if (WORD(pRecord+XDOC_HDR_COMPRESS) == 2) {
			decompress = palmdoc_decompress;
		}
		/* 'DH' Compress for dictionary-based huffman encoding */
		if (memcmp(pRecord+XDOC_HDR_COMPRESS,"DH", 2) == 0) {
			pRecord = get_record(pFile, 1, &size);
			if (!pRecord) { 
				fprintf(stderr,"Error reading block #%d! \n",r);
				return -1;
			}
			err = parse_dhdecomp(pFile);
			if (err < 0) return err;
			decompress = dh_decompress; 
		}
	}
	else {
		fprintf(stderr,"Don't know shit about PDB Creator: \"%.4s\""
                        " Type: \"%.4s\" .\n",
                        pFile+4+PDB_HDR_CREATOR, pFile+4+PDB_HDR_TYPE);
                return -1;
	}
	fd = err = 0;
	for (r = 1; r < blocks; r++) {
		pRecord = get_record(pFile, r, &size);
		if (!pRecord) { 
			fprintf(stderr,"Error reading block #%d! \n",r);
			return -1;
		}
		if (decrypt) err = decrypt(pRecord,size, key);
		if (err < 0) {
			fprintf(stderr,"Decrypt failed on block #%d (%d)!\n",
			    r, err);
			return -1;
		}
		if (decompress) err = decompress(pRecord,size,bigbuf,bigsize);
		else { memcpy(bigbuf, pRecord, size); err = size; }
		if (err < 0) {
			fprintf(stderr,"Decompress failed on block #%d (%d)!\n",
			    r, err);
			return -1;
		}

		/* Create file once the first block is present. */
		if (!fd) {
			identify_book_ext(bigbuf, err, extension);
			sprintf(filename, "%.80s.%s", param_base, extension);
			fd = open(filename, O_WRONLY|O_BINARY|O_EXCL|O_CREAT,
			    CREAT_PERMS);
			if (fd < 0) { 
				fprintf(stderr,"Unable to write to \"%s\".  "	
	 			    "Make sure it doesn't already exist!\n", 
				    filename);	
				perror("Open - System Error");
				return -1;
			}	
		}

		nBytes = write(fd,bigbuf, err);
		if (nBytes != err) {
			if (nBytes < 0) {
				fprintf(stderr,"Write failed to \"%s\"!", 
					filename);
				perror("write");
			}
			else {
				fprintf(stderr,"Only wrote %d out of %d bytes!"
				    "\nAre you out of disk space?\n",
				     nBytes, err);
			}
			close(fd);
			return -1;
		}
	}
	close(fd);

	err = 0;
	filenum = 1;
	for (r=blocks;r < nRecords;r++) {
		pRecord = get_record(pFile, r, &size);
		if (!pRecord) { 
			fprintf(stderr,"Error reading block #%d! \n",r);
			return -1;
		}

		/* Dammit, another Ppress hack */
		if (memcmp(pRecord, "PNG ", 4) == 0) {
			strncpy(filename, pRecord+4, sizeof(filename));
			pRecord += 62;
			if (size <= 62) {
				fprintf(stderr,"Bad PNG record in block #%d!\n",
					r);
				return -1;
			} 
			size -= 62;
		} else {
			err = identify_extra_ext(pRecord,size, extension);
			if ((!err) && (!param_all)) continue; 	

			sprintf(filename,"%.80s%03d.%s",param_base,filenum, 
                            extension);
			filenum++; 
		}
	
		err = write_whole_file(filename,pRecord, size);
		if (err) {
			fprintf(stderr,"   Unable to write block #%d!\n",r);
		}
	}
	return 0;
}

int main(int argc, char ** argv)
{
	int i;	
	octet * pFile;
	quartet filesize;
	int result;

	if (argc < 2) { fprintf(stderr,strUsage); exit(-1); }
	for (i = 1; i < argc; i++)
	{
		if ( (*argv[i] == '-') && 
		     (tolower(*(argv[i]+1)) == 's') ) {
			if ((i+2) > argc) { param_fname = NULL; break; }
			param_s1 = argv[i+1]; param_s2 = argv[i+2]; i+=2; 
		}
		else if ( (*argv[i] == '-') && 
		     (tolower(*(argv[i]+1)) == 'a') ) {
			param_all = 1; 
		}
		else if (*argv[i] == '-')  { param_fname = NULL; break; }
		else {
			if (!param_fname) param_fname = argv[i]; 
			else if (!param_base) param_base = argv[i];
			else { param_fname = NULL; break; }
		}
	}
	if (!param_fname) { fprintf(stderr, strUsage); exit(-1); }

	if (!param_base) param_base = "ebook";

	bigbuf = malloc(bigsize);
	if (!bigbuf) { 
		fprintf(stderr,"Not enough memory for buffer!\n"); 
		exit(-1);
	}
	pFile = read_whole_file(param_fname);
	if (!pFile) exit(-1);
	filesize = *(quartet *)pFile;
	if (filesize < PDB_SIZEOF_HDR) {
		fprintf(stderr,
"Look, asshole!  That file is too damned short!\n"); 
		free(pFile); free(bigbuf); 
		exit(-1);
	} 
	result = shred(pFile);
	if (result) { free(pFile); free(bigbuf); exit(-1); }
 	 		
	exit(0);
}


